This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Client
Name | ### read()
Examples |
    // Example by Tom Igoe

    import processing.net.*;
    Client myClient;
    int dataIn;

    void setup() {
      size(200, 200);
      // Connect to the local machine at port 5204.
      // This example will not run if you haven't
      // previously started a server on this port.
      myClient = new Client(this, "127.0.0.1", 5204);
    }

    void draw() {
      if (myClient.available() > 0) {
    dataIn = myClient.read();
      }
      background(dataIn);
    }
Description | Returns a number between 0 and 255 for the next byte that's waiting in the buffer. Returns -1 if there is no byte, although this should be avoided by first cheacking available() to see if any data is available.
Syntax |
    client.read()
Parameters |
client | Client: any variable of type Client
Returns | int

Updated on October 26, 2013 08:58:28pm PDT